- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# riak – This module handles some common Riak operations

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- This module can be used to join nodes to a cluster, check the status of the cluster.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
command - | Choices: ping kv_test join plan commit | The command you would like to perform against the cluster.
config_dir - | Default: "/etc/riak" | The path to the riak configuration directory
http_conn - | Default: "127.0.0.1:8098" | The ip address and port that is listening for Riak HTTP queries
target_node - | Default: "riak@127.0.0.1" | The target node for certain operations (join, ping)
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.
wait_for_handoffs - |  | Number of seconds to wait for handoffs to complete.
wait_for_ring - |  | Number of seconds to wait for all nodes to agree on the ring.
wait_for_service - | Choices: kv | Waits for a riak service to come online before continuing.

## Examples

    # Join's a Riak node to another node
    - riak:
        command: join
        target_node: riak@10.1.1.1

    # Wait for handoffs to finish.  Use with async and poll.
    - riak:
        wait_for_handoffs: yes

    # Wait for riak_kv service to startup
    - riak:
        wait_for_service: kv

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- James Martin (@jsmartin)

- Drew Kerrigan (@drewkerrigan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.